/* Variables */

:root {

	--main-color: #330014;
	--secondary-color: #4A011E;
	--main-gradient: linear-gradient(155.94deg, #330014 0%, #4A011E 100%);

	--accent-color: rgba(211, 175, 99, 1);

	--text-color: rgba(11, 13, 19, 1);
	--secondary-text-color: rgba(30, 33, 39, 1);

}

/* Default Behavior */

body,
html {
	margin: 0;
	font-family: "Inter", sans-serif;
	color: var(--text-color);
	scroll-behavior: smooth;
}

a {
	text-decoration: none;
	color: inherit;
}

p {
	line-height: 1.625rem;
}

img,
svg {
	max-width: 100%;
	vertical-align: bottom;
}

section {
	padding: 48px 0;
	gap: 64px;
}

address {
	font-style: normal;
}

#detach-button-host {
	display: none;
}

* {
	box-sizing: border-box;
	margin: 0;
	border: 0;
	background-color: initial;
}

*::selection {
	background-color: var(--accent-color);
}

/* Helper Classes */

.content {
	width: 1200px;
	max-width: 90vw;
	margin: auto;
}

.row,
.grid,
.column {
	display: flex;
	gap: inherit;
}

.column {
	flex-direction: column;
}

.grid {
	display: grid;
}

.btn {
	padding: 16px 32px;
	background-color: var(--accent-color);
	border-radius: 16px;
	width: fit-content;
	color: #fff;
	font-weight: 700;
}

section .content>h3 {
	font-size: 1.875rem;
	text-align: center;
}

span.accent {
	color: var(--accent-color);
}

span.accent::selection {
	color: #fff;
}

header.sectionHeader {
	gap: 24px;
	align-items: center;
	text-align: center;
}

header.sectionHeader h3 {
	padding: 9px 17px;
	border: 1px solid var(--accent-color);
	background-color: #fff;
	box-shadow: 0px 8px 32px 0px rgba(0, 0, 0, 0.3);
	font-size: 0.875rem;
	display: flex;
	flex-direction: row;
	gap: 8px;
	align-items: center;
	border-radius: 100vw;
	font-weight: 400;
}

header.sectionHeader h3:not(:has(svg)):before {
	content: '';
	width: 8px;
	aspect-ratio: 1;
	border-radius: 100%;
	background-color: var(--accent-color);
}

header.sectionHeader h4 {
	font-size: 3rem;
	font-weight: 700;
}

header.sectionHeader p {
	font-size: 1.25rem;
}

a#floatingWpp {
	position: fixed;
	right: 25px;
	bottom: 25px;
	width: 64px;
	aspect-ratio: 1;
	background-image: linear-gradient(135deg, #22C55E 0%, #16A34A 100%);
	border-radius: 50%;
	display: grid;
	align-items: center;
	justify-content: center;
	box-shadow: 0px 25px 50px -12px rgba(0, 0, 0, 0.25);
}

a#floatingWpp svg {
	width: 32px;
	height: 32px;
	aspect-ratio: 1;
}

a#floatingWpp svg path {
	stroke: #fff;
}

/* Header */

header#mainHeader {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	padding: 16px 0;
	z-index: 1;
}

header#mainHeader .content {
	align-items: center;
	justify-content: space-between;
	gap: 32px;
	color: #fff;
}

header#mainHeader .button {
	padding: 10px 24px;
	background-image: var(--main-gradient);
	border-radius: 12px;
	box-shadow: 0px 0px 50px 0px rgba(153, 53, 93, 0.51);
}

/* Footer */

footer#mainFooter {
	margin-top: 160px;
	padding: 0 24px 64px;
	background-color: var(--secondary-text-color);
	color: #fff;
	grid-template-columns: repeat(4, 1fr);
	gap: 24px 48px;
	position: relative;
}

footer#mainFooter:before {
	content: '';
	height: 112px;
	background-color: inherit;
	border-radius: 100vw 100vw 0 0;
	position: absolute;
	top: -112px;
	left: 0;
	right: 0;
}

footer#mainFooter .column {
	align-items: start;
}

footer#mainFooter .column h5 {
	font-size: 1.125rem;
}

footer#mainFooter .column a.row {
	align-items: center;
	gap: 8px;
}

footer#mainFooter .column a.row:before {
	content: '';
	width: 6px;
	aspect-ratio: 1;
	background-color: var(--accent-color);
	border-radius: 50%;
}

footer#mainFooter .column .column {
	gap: 12px;
}

footer#mainFooter .column .socials {
	gap: 16px;
}

footer#mainFooter .column .socials a {
	padding: 10px;
	border: 1px solid var(--Dourado, rgba(211, 175, 99, 1));
	background: linear-gradient(135deg, rgba(255, 255, 255, 0.1) 0%, rgba(255, 255, 255, 0.05) 100%);
	border-radius: 12px;
}

footer#mainFooter .column:last-child article h5 {
	font-weight: 500;
}

footer#mainFooter .column:last-child article .column {
	gap: 0;
}

footer#mainFooter .column:last-child article .column .row {
	align-self: stretch;
	justify-content: space-between;
}

section#footerBottom {
	padding: 32px 120px 32px 24px;
	background-color: var(--secondary-text-color);
	justify-content: space-between;
	color: #fff;
	gap: 24px;
	font-size: 0.875rem;
}

/* Banner */

div#banner {
	aspect-ratio: 1280/720;
	background: url("../assets/images/banner.jpg") no-repeat center / cover;
	position: relative;
}

div#banner:after {
	content: '';
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	height: 77px;
	border-radius: 100vw 100vw 0 0;
	background-color: #fff;
}

div#banner video {
	width: 100%;
}

div#banner video.hide {
	display: none;
}

div#banner video#tv {
	width: 20.9%;
	height: 22%;
	object-fit: cover;
	position: absolute;
	top: 34%;
	left: 39.8%;
}

div#banner section {
	position: absolute;
	right: 9vw;
	bottom: 20.7%;
	width: 384px;
	max-width: 82vw;
	padding: 32px;
	background: linear-gradient(155.94deg, rgba(51, 0, 20, 0.6) 0%, rgba(74, 1, 30, 0.6) 100%);
	border: 2px solid rgba(255, 255, 255, 0.1);
	box-shadow: 0px 0px 20px 2px rgba(255, 255, 255, 0.05) inset;
	box-shadow: 0px 0px 50px 0px rgba(0, 0, 0, 0.5);
	border-radius: 24px;
	color: #fff;
	gap: 32px;
	-webkit-backdrop-filter: blur(5px);
	backdrop-filter: blur(5px);
}

div#banner section:after {
	content: 'Toque nos controles acima';
	padding: 11px 17px;
	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 100vw;
	background-color: rgba(51, 0, 20, 0.85);
	background: linear-gradient(108.62deg, rgba(51, 0, 20, 0.8) 0%, rgba(74, 1, 30, 0.8) 100%);
	box-shadow: 0px 8px 32px 0px rgba(0, 0, 0, 0.3);
	-webkit-backdrop-filter: blur(20px);
	backdrop-filter: blur(20px);
	position: absolute;
	top: 100%;
	left: 50%;
	translate: -50% -50%;
	white-space: nowrap;
}

div#banner section header {
	gap: 8px;
	align-items: center;
}

div#banner section header:after {
	content: '';
	width: 48px;
	height: 4px;
	background-color: var(--accent-color);
	border-radius: 100vw;
}

div#banner section header h1 {
	font-size: 1.5rem;
}

div#banner section form {
	grid-template-columns: repeat(2, 1fr);
	gap: 12px;
}

div#banner section form label {
	padding: 27px 0;
	background-color: rgba(0, 0, 0, 0.3);
	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 16px;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	-webkit-backdrop-filter: blur(15px);
	backdrop-filter: blur(15px);
	color: rgba(148, 163, 184, 1);
	user-select: none;
}

div#banner section form label:has(input:checked) {
	background-color: var(--accent-color);
	color: #fff;
	transition: all .3s ease;
}

div#banner section form label:has(input[disabled]) {
	opacity: 0.7;
}

div#banner section form label svg path {
	stroke: rgba(148, 163, 184, 1);
}

div#banner section form label:has(input:checked) svg path {
	stroke: #fff;
}

/* Benefits */

section#benefits .content {
	gap: 48px 12px;
	align-items: center;
}

section#benefits .grid {
	grid-template-columns: repeat(3, 1fr);
}

section#benefits .grid article {
	padding: 46px 24px;
	border: 2px solid var(--accent-color);
	gap: 8px;
	text-align: center;
	box-shadow: 0px 8px 32px 0px rgba(0, 0, 0, 0.3);
	border-radius: 16px;
}

section#benefits .grid article h5 {
	font-size: 1.25rem;
}

/* Solutions */

section#solutions .list {
	gap: 12px;
	grid-template-columns: repeat(3, 1fr);
}

section#solutions .list article {
	padding: 33px;
	border: 1px solid var(--accent-color);
	border-radius: 16px;
	gap: 24px;
}

section#solutions .list article i {
	padding: 16px;
	background-image: var(--main-gradient);
	aspect-ratio: 1;
	width: 64px;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 16px;
}

section#solutions .list article header {
	gap: 12px;
	;
}

section#solutions .list article header h5 {
	font-size: 1.25rem;
	color: var(--text-color);
}

section#solutions .list article ul {
	list-style: none;
	padding: 0;
	gap: 8px;
}

section#solutions .list article ul li {
	align-items: center;
}

section#solutions .list article ul li:before {
	content: '';
	width: 6px;
	aspect-ratio: 1;
	background-color: rgba(55, 235, 169, 1);
	border-radius: 50%;
}

section#solutions .list article a {
	border: 1px solid var(--accent-color);
	padding: 9px 17px;
	box-shadow: 0px 8px 32px 0px rgba(0, 0, 0, 0.3);
	border-radius: 100vw;
	gap: 8px;
	align-items: center;
	place-self: center;
	color: var(--secondary-text-color);
}

section#solutions .numbers {
	padding: 50px;
	gap: 8px 32px;
	grid-template-columns: repeat(3, 1fr);
	border: 1px solid var(--Dourado, rgba(211, 175, 99, 1));
	box-shadow: 0px 8px 32px 0px rgba(121, 99, 53, 0.33);
	border-radius: 24px;
}

section#solutions .numbers article {
	align-items: center;
}

section#solutions .numbers article h5 {
	color: var(--main-color);
	font-size: 2.25rem;
}

section#solutions .numbers article p {
	color: var(--secondary-text-color);
}

section#solutions section#cta {
	gap: 32px;
	align-items: center;
}

section#solutions section#cta header {
	gap: 16px;
	align-items: center;
}

section#solutions section#cta header h5 {
	font-size: 1.5rem;
}

/* Depositions */

section#depositions .depositions {
	gap: 24px;
	width: clamp(0px, 896px, 100%);
	margin: auto;
}

section#depositions .depositions .message {
	padding: 24px;
	gap: 16px;
	border-radius: 16px;
	box-shadow: 0px 25px 50px -12px rgba(0, 0, 0, 0.25);
	width: 58%;
	border: 1px solid var(--Dourado, rgba(211, 175, 99, 1));
}

section#depositions .depositions .message:nth-child(2n - 1) {
	background: linear-gradient(155.94deg, #330014 0%, #4A011E 100%);
	color: #fff;
	align-self: end;
}

section#depositions .depositions .message header {
	align-items: center;
	justify-content: space-between;
	gap: 0 12px;
}

section#depositions .depositions .message header .profile {
	grid-template-areas: "pic name" "pic place";
	align-items: center;
}

section#depositions .depositions .message header .profile img {
	grid-area: pic;
}

section#depositions .depositions .message header .profile h5 {
	grid-area: name;
	font-size: 1rem;
	font-weight: 700;
}

section#depositions .depositions .message header .profile h6 {
	grid-area: place;
	font-size: 0.75rem;
	font-weight: 400;
	opacity: 70%;
}

section#depositions .depositions .message header time {
	opacity: 60%;
}

section#depositions .depositions .message footer {
	justify-content: space-between;
}

section#depositions .depositions .message footer .grid {
	grid-template-areas: "wpp dot check";
	align-items: center;
	gap: 4px;
	font-size: 0.75rem;
	opacity: 0.6;
}

section#depositions .depositions .message footer .grid:before {
	content: '';
	width: 4px;
	aspect-ratio: 1;
	border-radius: 50%;
	background-color: var(--secondary-text-color);
	grid-area: dot;
}

section#depositions .depositions .message:nth-child(2n - 1) footer .grid:before {
	background-color: #fff;
}

/* Transforming */

section#transforming header.sectionHeader span.accent {
	color: var(--secondary-color);
}

section#transforming .sided {
	grid-template-columns: repeat(2, 1fr);
	gap: 24px;
}

section#transforming .textSide h5 {
	font-size: 1.875rem;
}

section#transforming .textSide .text {
	gap: 16px;
	color: var(--secondary-text-color);
}

section#transforming .textSide .numbers {
	grid-template-columns: repeat(2, 1fr);
	gap: 15px 12px;
}

section#transforming .textSide .numbers article {
	padding: 25px;
	align-items: center;
	border: 1px solid var(--accent-color);
	box-shadow: 0px 25px 50px -12px rgba(0, 0, 0, 0.25);
	backdrop-filter: blur(20px);
	border-radius: 16px;
	text-align: center;
}

section#transforming .textSide .numbers article h5 {
	color: var(--main-color);
}

section#transforming .imageSide {
	box-shadow: 0px 8px 32px 0px rgba(0, 0, 0, 0.3);
	border-radius: 24px;
}

/* Team */

section#team {
	gap: 48px 12px;
}

section#team .grid {
	grid-template-columns: repeat(4, 1fr);
}

section#team .grid article {
	gap: 15px;
	align-items: center;
	text-align: center;
	padding: 60px 25px 25px;
	border: 1px solid var(--Dourado, rgba(211, 175, 99, 1));
	box-shadow: 0px 25px 50px -12px rgba(0, 0, 0, 0.25);
	backdrop-filter: blur(20px);
	border-radius: 16px;
}

section#team .grid article img {
	width: 80px;
	aspect-ratio: 1;
	background-image: var(--main-gradient);
	border-radius: 50%;
	position: absolute;
	left: 50%;
	top: 0;
	translate: -50% -50%;
}

section#team .grid article h5 {
	font-size: 1.25rem;
}

section#team .grid article h6 {
	color: rgba(60, 131, 246, 1);
	font-size: 1rem;
	font-weight: 500;
}

section#team .grid article p {
	font-size: 0.875rem;
}

/* Values */

section#values {
	gap: 48px;
}

section#values .grid {
	gap: 12px;
	grid-template-columns: repeat(2, 1fr);
}

section#values .grid article {
	gap: 15px;
	padding: 25px 25px 50px;
	border: 1px solid var(--Dourado, rgba(211, 175, 99, 1));
	box-shadow: 0px 25px 50px -12px rgba(0, 0, 0, 0.25);
	border-radius: 16px;
	background-color: #fff;
}

section#values .grid article i {
	display: flex;
	width: 64px;
	aspect-ratio: 1;
	border-radius: 16px;
	background-image: var(--main-gradient);
	align-items: center;
	justify-content: center;
}

section#values .grid article i svg {
	width: 32px;
	height: 32px;
}

section#values .grid article i svg path {
	stroke: #fff;
}

section#values .grid article h5 {
	font-size: 1.25rem;
}

section#values .grid article p {
	color: var(--secondary-text-color);
}

/* Meet Us */

section#meetUs {
	padding: 48px 25px;
	border: 1px solid var(--accent-color);
	box-shadow: 0px 25px 50px -12px rgba(0, 0, 0, 0.25);
	align-items: center;
	text-align: center;
	gap: 32px 0;
	border-radius: 16px;
	margin-top: 16px;
}

section#meetUs header {
	gap: 16px;
}

section#meetUs header h3 {
	font-size: 1.875rem;
}

section#meetUs header p {
	font-size: 1.25rem;
}

section#meetUs .row {
	gap: 16px;
}

section#meetUs .row a {
	padding: 9px 17px;
	border: 1px solid var(--Dourado, rgba(211, 175, 99, 1));
	box-shadow: 0px 8px 32px 0px rgba(0, 0, 0, 0.3);
	border-radius: 100vw;
	font-weight: 700;
}

/* Responsive */

@media(max-width: 900px) {

	header.sectionHeader h4 {
		font-size: 2.5rem;
	}

	header#mainHeader .content {
		justify-content: center;
	}

	header#mainHeader .content :is(nav, a) {
		display: none;
	}

	div#banner {
		aspect-ratio: initial;
		background: initial;
		padding-bottom: 72px;
	}

	div#banner:after {
		display: none;
	}

	div#banner video#tv {
		top: 12.3%;
		height: 7.6%;
	}

	div#banner section {
		position: initial;
		max-width: 100%;
		width: 100%;
		margin-top: -50px;
	}

	section#benefits .grid {
		grid-template-columns: 1fr;
		gap: 12px;
	}

	section#solutions .list {
		grid-template-columns: 1fr;
	}

	section#solutions .numbers {
		grid-template-columns: 1fr;
		padding: 50px;
		gap: 32px;
	}

	section#solutions .numbers article {
		gap: 8px;
	}

	section#solutions section#cta {
		text-align: center;
	}

	section#depositions .depositions .message {
		width: 82%;
	}

	section#transforming .sided {
		grid-template-columns: 1fr;
	}

	section#values .grid article {
		padding: 10px;
	}

	section#meetUs {
		padding: 25px;
	}

	section#meetUs .row {
		flex-direction: column;
	}

	footer#mainFooter {
		grid-template-columns: 1fr;
		gap: 48px;
	}

	footer#mainFooter .column {
		gap: 24px;
	}

	section#footerBottom {
		flex-direction: column;
	}

}